.customModalContainer {
  position: fixed;
  height: 100vh;
  opacity: 0;
  display: block;
  visibility: hidden;
  overflow-y: hidden;
  z-index: 1000;
  padding: 50px 8px;
  background-color: rgba(0, 0, 0, 0.8);
  inset: 0;
  justify-content: center;
  transition: 0.3s ease-in-out;
}

.customModalContainer.show {
  overflow-y: auto;
  opacity: 1;
  visibility: visible;
}

.customModal {
  counter-reset: headings;
  max-width: 1060px;
  position: relative;
  transform: translate(-50%);
  top: 5%;
  left: 50%;
  border-radius: 10px;
  width: 100%;
  background-color: #ebf0eb;
}

.customModalHeader {
  display: flex;
  align-items: center;
  background: #fff;
  justify-content: center;
  flex-direction: column;
  row-gap: 20px;
  border-radius: 16px;
  position: relative;
  height: 280px;
  margin-bottom: 20px;
}

.customModalHeader .background {
  width: 100%;
  height: 100%;
  inset: 0;
  position: absolute;
  object-fit: cover;
}

.customModalHeader .logo {
  max-width: 220px;
  border-radius: 10px;
  margin: 0 auto;
  height: auto;
  padding: 20px;
  width: 100%;
}

.customModalBody article h2 {
  font-family: "Inter";
  font-style: normal;
  font-weight: 600;
  padding: 0 10px;
  font-size: 24px;
  line-height: 120%;
  text-align: center;
  margin: 0 auto 20px;
  max-width: 328px;
  color: #1c1c1c;
}

.customModalHeader h3 {
  font-family: "Inter";
  font-style: normal;
  font-weight: 600;
  padding: 0 10px;
  font-size: 24px;
  line-height: 120%;
  text-align: center;
  margin: 0 auto;
  max-width: 328px;
  color: #1c1c1c;
}

.customModal button.closeBtn {
  border: none;
  position: absolute;
  outline: none;
  cursor: pointer;
  top: -60px;
  transform: translateX(-50%);
  left: 50%;
  background: transparent;
  cursor: pointer;
}

.customModal button.closeBtn svg {
  width: 40px;
  height: 40px;
}

.customModalBody {
  max-width: 900px;
  margin: 0 auto;
  padding: 16px;
  display: flex;
  flex-direction: column;
  row-gap: 20px;
}

.customModalBody article {
  max-width: 312px;
  margin: 0 auto;
}

.customModalBody article h3 {
  font-family: "Inter";
  font-style: normal;
  font-weight: 600;
  font-size: 18px;
  line-height: 120%;
  margin-bottom: 20px;
  color: #1c1c1c;
}

.customModalBody ol {
  display: flex;
  flex-direction: column;
  row-gap: 20px;
  counter-reset: list-counter;
}

.customModalBody ol li {
  counter-increment: list-counter;
  font-family: "Inter";
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  flex-shrink: 0;
  line-height: 150%;
  color: #1c1c1c;
}

.customModalBody ol li::before {
  content: counter(list-counter);
  width: 32px;
  height: 32px;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  background: #6eb974;
  margin-right: 10px;
  color: white;
  font-family: "Inter";
  font-weight: 600;
  font-size: 16px;
  line-height: 150%;
  text-align: center;
}

.customModalBody ol li:nth-child(odd)::before {
  border-radius: 50%;
}

.customModalBody ol li:nth-child(even)::before {
  border-radius: 8px;
}

.z .customModalBody ul {
  display: flex;
  flex-direction: column;
  row-gap: 20px;
}

.customModalBody ul li {
  font-family: "Inter";
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 150%;
  position: relative;
  color: #1c1c1c;
  display: flex;
  align-items: center;
  gap: 10px;
}

.customModalBody h5 {
  font-family: "Inter";
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 150%;
  position: relative;
  color: #1c1c1c;
  display: flex;
  align-items: center;
  margin-bottom: 10px;
}

.customModalBody ul li::before {
  content: "";
  width: 10px;
  height: 10px;
  border-radius: 50%;
  flex-shrink: 0;
  background: #6eb974;
}

.customModalBody .copy_more_area {
  display: flex;
  flex-direction: column;
  row-gap: 20px;
  width: 100%;
  max-width: 450px;
  margin: 0 auto 20px;
}

.customModalBody .copy_more_area .copy_areas {
  border: 1px solid #ebf0eb;
  background: #ffffff;
  display: flex;
  border-radius: 8px;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  padding: 8px 12px;
}

.customModalBody .copy_more_area .copy_areas span {
  font-family: "Inter";
  font-style: normal;
  font-weight: 600;
  font-size: 14px;
  margin-left: 20px;
  line-height: 150%;
  text-align: center;
  color: #1c1c1c;
}

.copy_areas button {
  width: 32px;
  height: 32px;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #6eb974;
  border-radius: 8px;
  transition: all 0.3s ease;

  cursor: pointer;
}

.copy_areas button svg {
  width: 18px;
  height: 18px;
}

.copy_areas button.copied {
  background-color: #4caf50;
  transform: scale(1.1);
}

.copy_areas button:active {
  transform: scale(0.95);
}

.copy_more_area .more_btn {
  background: #6eb974;
  height: 48px;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-width: 1px;
  border-radius: 40px;
  font-family: "Inter";
  font-style: normal;
  font-weight: 600;
  font-size: 12px;
  line-height: 150%;
  text-transform: uppercase;
  color: #ffffff;
  padding-left: 32px;
  padding-right: 32px;

  transition: 0.3s ease-in-out;
}

.copy_more_area .more_btn i {
  font-size: 18px;
}

.copy_more_area .more_btn:hover {
  transform: scale(0.95);
}

.customModalBody p {
  color: #848784;
  font-weight: 400;
  font-size: 12px;
  font-family: "Inter";
  overflow-wrap: anywhere;
  line-height: 150%;
  letter-spacing: 0%;

  a {
    color: currentColor;
  }
}

@media screen and (min-width: 1024px) {
  .customModalHeader {
    height: 347px;
  }

  .copy_areas button {
    width: 48px;
    height: 48px;
  }

  .copy_areas button svg {
    width: 24px;
    height: 24px;
  }

  .customModalHeader .logo {
    max-width: 320px;
  }

  .customModalHeader h3,
  .customModalBody article h2 {
    font-size: 48px;
    max-width: 900px;
  }

  .customModal {
    padding: 20px;
  }

  .customModalBody article h3 {
    font-size: 32px;
    margin-bottom: 40px;
  }

  .customModalBody {
    padding: 80px 60px;
    row-gap: 80px;
  }

  .customModalBody ol li,
  .customModalBody ul li,
  .customModalBody h5 {
    font-size: 18px;
  }

  .customModalBody ol li::before {
    width: 40px;
    font-size: 14px;
    height: 40px;
  }

  .customModal button.closeBtn {
    right: -60px;
    top: 0;
    left: unset;
    transform: unset;
    width: fit-content;
    height: fit-content;
  }

  .customModalBody article {
    max-width: 100%;
  }

  .copy_more_area .more_btn {
    height: 64px;
    padding-left: 40px;
    padding-right: 40px;
  }

  .customModalHeader button svg {
    width: 50px;
    height: 50px;
  }

  .copy_more_area .more_btn {
    font-size: 16px;
  }

  .customModalBody .copy_more_area .copy_areas span {
    font-size: 16px;
  }

  .customModalBody p {
    font-size: 16px;
  }

  .copy_more_area .more_btn i {
    font-size: 24px;
  }
}

/*modal*/